Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET https://api.thinnest.ai/byok/status \ -H "Authorization: Bearer $THINNESTAI_API_KEY"
{ "providers": [ { "provider": "openai", "name": "OpenAI", "type": "llm", "description": "GPT-4o, GPT-4o-mini, o1, o3, o4", "docs_url": "https://platform.openai.com/api-keys", "logo": "/logos/OpenAI.png", "is_configured": true, "masked_key": "****Hn4F" }, { "provider": "anthropic", "name": "Anthropic", "type": "llm", "description": "Claude 4, Claude 3.5 Sonnet", "docs_url": "https://console.anthropic.com/settings/keys", "logo": "/logos/anthropic.png", "is_configured": false, "masked_key": null } ] }
Get configuration status for all BYOK providers
GET /byok/status Authorization: Bearer {token}
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
Show child attributes